Bug Hunting Session
Bug 56902 (MozBaseKillOff) - [META] Kill off in-tree (ancient) mozilla copy
Summary: [META] Kill off in-tree (ancient) mozilla copy
Status: NEW
Alias: MozBaseKillOff
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 56905 (view as bug list)
Depends on: 56903 57322 51004 56905
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 05:29 UTC by Lionel Elie Mamane
Modified: 2016-06-04 15:06 UTC (History)
14 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2012-11-09 05:29:59 UTC
We haul around an ancient copy of mozilla in-tree. Reimplement the features making use of it in some other way, so that we can get rid of it.

File a new bug for each such feature and make it block this one.
Comment 1 Mat M 2012-11-30 00:33:57 UTC
Mozilla for address book under windows only is on-going [1]. Plan to deliver Sunday evening. Have some issues with current build issues on master to test the build.
Will push to gerrit anyway since we could fix smoothly until Beta [2]

[1]: http://lists.freedesktop.org/archives/libreoffice/2012-November/040881.html (start of thread)

[2] : http://lists.freedesktop.org/archives/libreoffice/2012-November/041868.html
Comment 2 Not Assigned 2012-12-04 11:01:16 UTC
Mathias Michel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0c53a961a0af21f69f592b43799cd635c994810

First fix for fdo#56902



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Björn Michaelsen 2013-06-03 19:13:49 UTC
Is this still an EasyHack? Or should we better remove the Whiteboard-Status?
Comment 4 DavidO 2013-06-03 19:45:32 UTC
(In reply to comment #3)
> Is this still an EasyHack? Or should we better remove the Whiteboard-Status?

it is already done: in-tree mozilla copy is killed.
Only binary dependency exists on seamonkey on Windows for
mork, O & OE drivers.

so i would close all this series:
this bug and friends (56903 56905 57322)
Comment 5 Mat M 2013-06-03 23:06:12 UTC
IMO, not an EasyHack anymore, since we need to introduce a moz replacement for Windows to reach the issue's goal.
Maybe a MediumHack with Research (something like a light GSoC subject ?)
Comment 6 Michael Meeks 2013-06-04 08:45:13 UTC
Removing EasyHack for now :-) I guess we still have the Windows / Outlook issues to fix in due course to fully close this.
Comment 7 Alex Thurgood 2015-01-03 17:40:59 UTC Comment hidden (no-value)
Comment 9 Lionel Elie Mamane 2015-10-25 11:26:32 UTC
(In reply to Julien Nabet from comment #8)
> Considering these:
> -
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=a0c53a961a0af21f69f592b43799cd635c994810
> -
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=11fc708e71054dcd512a81981e735db375e79aa4
> may we consider this as FIXED or is there still work to do?

Still work to do, still three open bugs that this one depends on.
Comment 10 Julien Nabet 2015-10-25 12:53:45 UTC
(In reply to Lionel Elie Mamane from comment #9)
> (In reply to Julien Nabet from comment #8)
> > Considering these:
> > ..
> 
> Still work to do, still three open bugs that this one depends on.
Indeed, you're right, I had overlooked these. There's still a long way then.
Comment 11 jani 2016-04-21 06:07:23 UTC
*** Bug 56905 has been marked as a duplicate of this bug. ***